Create Endpoint
POST /endpoint on the Webhooks API. Base URL: https://api.sinay.ai/webhook/api/v1.
Create a new endpoint for the application.
Specify the url you wish to receive webhooks and the events you wish to track.
When secret is null the secret is automatically generated (recommended)
You can have a maximum of 50 endpoints. Creating more returns an error: reuse an existing endpoint or delete unused ones with DELETE /endpoint/{endpoint_id}.
Header parameters
| Name | Type | Required | Description |
|---|---|---|---|
idempotency-key | string | No | The request's idempotency key. |
Request body
application/json, required.
| Field | Type | Required | Description |
|---|---|---|---|
description | string | No | Description of your endpoint. Default: ``. |
rateLimit | integer (uint16), nullable | No | Rate limit of your endpoint in messages per second. This is an advanced field. Be aware that setting a low rateLimit can lead to a congestion queue and create delay in webhooks. |
uid | string, nullable | No | Optional unique identifier for the endpoint. |
url | string (uri) | Yes | Public url in your services where you plan to receive our messages. If you don't have a public url ready yet, you can use Svix play to test our webhooks https://www.svix.com/play/. |
disabled | boolean | No | When disabled is true, no messages will be sent to your endpoint. This can be used to deactivate a development or a testing endpoint when not in use. Default: false. |
filterTypes | array of string, nullable | No | — |
channels | array of string, nullable | No | List of message channels this endpoint listens to (omit for all) This is an advanced field. |
secret | string, nullable | No | The endpoint's verification secret. If null is passed (recommanded), a secret is automatically generated. Format: base64 encoded random bytes optionally prefixed with whsec_. Recommended size: 24. |
metadata | object | No | Optional additional properties for your endpoint. Default: {}. |
metadata.<key> | string | No | — |
Responses
Body: application/json, object.
| Field | Type | Required | Description |
|---|---|---|---|
id | string | Yes | The ep's ID. |
metadata | object | Yes | Optional additional properties for your endpoint. |
metadata.<key> | string | No | — |
description | string | Yes | An example endpoint name. |
rateLimit | integer (uint16), nullable | No | Rate limit of your endpoint in messages per second. This is an advanced field. Be aware that setting a low rateLimit can lead to a congestion queue and create delay in webhooks. |
uid | string, nullable | No | Optional unique identifier for the endpoint. |
url | string (uri) | Yes | Public url in your services where you plan to receive our webhooks. If you don't have a public url ready yet, you can use Svix play to test our webhooks https://www.svix.com/play/. |
version | integer (int32) | Yes | — |
disabled | boolean | No | When disabled is true, no messages will be sent to your endpoint. This can be used to deactivate a development or a testing endpoint when not in use. Default: false. |
filterTypes | array of string, nullable | No | — |
channels | array of string, nullable | No | List of message channels this endpoint listens to (omit for all). |
createdAt | string (date-time) | Yes | — |
updatedAt | string (date-time) | Yes | — |